db-torque-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Thomas Fischer <fisc...@seitenbau.net>
Subject Re: jdbc -> xml problem (MySQL)
Date Thu, 13 Apr 2006 10:51:37 GMT
Tomáš Procházka <t.prochazka@centrum.cz> schrieb am 13.04.2006 12:35:13:

> I download latest SVN a try it compile. But I doesn't have
> experience with Maven before. I install Maven 2, then I find out
> that Torque need Maven 1. I install Maven 1, run maven  build in
> root directory, it's doesn't work, then I run maven install ant its
> work :-) Only runtime doesn't compile because:
>
> Attempting to download jdbc-2.0.jar.
> WARNING: Failed to download jdbc-2.0.jar.
> Attempting to download jndi-1.2.1.jar.
> WARNING: Failed to download jndi-1.2.1.jar.

Maven cannot download these automatically because you need to agree
explicitly to Sun's license agreement. But if you use java 1.4 or later,
you can omit these dependencies (i.e throw them out of the pom).
Alternatively, you can download the jars and put them in your maven
repository.

> I try used torque-gen-templates-3.2.1-dev.jar and torque-gen-3.2.1-
> dev.jar from svn trunk and no Java 1.5 generics found in generated
> source code :-(

You have to enable it, it is not turned on by default. Build the site from
svn and look in the properties documentation.

   Thomas
Mime
View raw message